add_library(Ship
 src/Ship.cpp 
 src/Cargo.cpp 
 src/ShipEasyDifficultLvlStrategy.cpp 
 src/ShipHardDifficultLvlStrategy.cpp
 src/CargoDamageVisitor.cpp
 src/ShipBuilder.cpp
 src/ShipJsonBuilder.cpp)

target_include_directories(Ship PUBLIC include)

target_link_libraries(Ship
    Core
    nlohmann_json::nlohmann_json
)
